%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  microsynth
%global packver   2.0.51
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2.0.51
Release:          1%{?dist}%{?buildtag}
Summary:          Synthetic Control Methods with Micro- And Meso-Level Data

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-survey 
BuildRequires:    R-CRAN-kernlab 
BuildRequires:    R-CRAN-LowRankQP 
BuildRequires:    R-stats 
BuildRequires:    R-parallel 
BuildRequires:    R-utils 
BuildRequires:    R-CRAN-pracma 
Requires:         R-methods 
Requires:         R-CRAN-survey 
Requires:         R-CRAN-kernlab 
Requires:         R-CRAN-LowRankQP 
Requires:         R-stats 
Requires:         R-parallel 
Requires:         R-utils 
Requires:         R-CRAN-pracma 

%description
A generalization of the 'Synth' package that is designed for data at a
more granular level (e.g., micro-level). Provides functions to construct
weights (including propensity score-type weights) and run analyses for
synthetic control methods with micro- and meso-level data; see Robbins,
Saunders, and Kilmer (2017) <doi:10.1080/01621459.2016.1213634> and
Robbins and Davenport (2021) <doi:10.18637/jss.v097.i02>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
